import { HostAppService, ConfigService } from 'tabby-core';
import { Shell } from 'tabby-local';
import { WindowsBaseShellProvider } from './windowsBase';
/** @hidden */
export declare class PowerShellCoreShellProvider extends WindowsBaseShellProvider {
    constructor(hostApp: HostAppService, config: ConfigService);
    provide(): Promise<Shell[]>;
}
